MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029133Open CASCADE[OCCT] OCCT:Testspublic2017-09-21 18:502018-06-30 17:01
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029133: Unstable test cases
DescriptionThis issue is parent issue for all unstable test cases.
Aim of this issue is :
- to born child issue where instability will be separated by CATEGORY
- to manage issue that became STABLE (removing TODO ?)
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0029111newbugmaster Open CASCADE Reclassification of UNSTABLE test cases 
related to 0029841verifiedbugmaster Open CASCADE Test cases from tools/dfbrowser periodically hang on Windows platform 
parent of 0029132assignedabv Open CASCADE Unstable test cases in Foundation Classes 
parent of 0028557closedbugmaster Open CASCADE Test case bugs modalg_6 bug27615 works differently on VC10 and VC12 
parent of 0025797closedgka Open CASCADE Unstable result (checkshape) in test de step_3 D8 
parent of 0024592closedgka Open CASCADE Instability of sewing 
parent of 0023331closedapn Open CASCADE Some test are unstable. 
parent of 0027597closedaml Open CASCADE Unstable test blend simple Q6 
parent of 0027203assignedaml Open CASCADE Unstable behavior of Geom_Plate algorithm 
parent of 0028833assignednbv Open CASCADE Unstable result of intersection of the faces 
parent of 0028674assignednbv Open CASCADE BRepTools_WireExplorer works unstable and does not return several edges 
parent of 0029121newgka Open CASCADE Iges-reader reads invalid shape 
parent of 0021968assignedmsv Open CASCADE BRepTools_WireExplorer gives different number of edges in dependance of order of edges in wire. 
parent of 0029268assignedmsv Open CASCADE Unstable test cases in Modeling Algorithms 
related to 0023068assignednbv Open CASCADE Offsets are made with errors on offset test. 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0071593)
git (administrator)
2017-10-18 14:13

Branch CR29133 has been created by mnt.

SHA-1: e1cf475d61fe9ecd0cb82e8cbbbd1cfcce3b897f


Detailed log of new commits:

Author: mnt
Date: Wed Oct 18 14:13:35 2017 +0300

    0029133: Unstable test cases
    
    Removing TODO ?
    
    Signed-off-by: mnt <mnt@opencascade.com>
(0071598)
git (administrator)
2017-10-18 16:07

Branch CR29133 has been updated by inv.

SHA-1: 4b4fe7fae85b83ab1d5e69458476acfcc1488499


Detailed log of new commits:

Author: bugmaster
Date: Wed Oct 18 16:07:25 2017 +0300

    Removing TODO ? in BAD cases

(0071608)
git (administrator)
2017-10-18 18:03

Branch CR29133 has been updated by inv.

SHA-1: e4e1151bbf4be024db209f53fa0459e12956c6ad


Detailed log of new commits:

Author: bugmaster
Date: Wed Oct 18 18:03:26 2017 +0300

    Removing files

(0071609)
git (administrator)
2017-10-18 18:31

Branch CR29133 has been updated by inv.

SHA-1: c13bc39d0a6529be27e62f91f0b70a12990293d8


Detailed log of new commits:

Author: bugmaster
Date: Wed Oct 18 18:31:23 2017 +0300

    Adding new test potential unstable test cases cases

(0071626)
git (administrator)
2017-10-19 11:37

Branch CR29133 has been updated by inv.

SHA-1: fd621a25a47132da043b3f856cde129dc56df7aa


Detailed log of new commits:

Author: bugmaster
Date: Thu Oct 19 11:37:05 2017 +0300

    Update grid.list files

(0071641)
git (administrator)
2017-10-19 15:07

Branch CR29133 has been updated by inv.

SHA-1: 4cbc74658908b2318c1857ea26261fef9af10cdf


Detailed log of new commits:

Author: bugmaster
Date: Thu Oct 19 15:06:58 2017 +0300

    Intermediate adjusting TODO

(0071659)
git (administrator)
2017-10-20 13:20

Branch CR29133 has been updated by inv.

SHA-1: 3405315316cb6880398f08966870e67069d51f09


Detailed log of new commits:

Author: bugmaster
Date: Fri Oct 20 13:20:00 2017 +0300

    Adding additional TODO

(0071660)
git (administrator)
2017-10-20 14:26

Branch CR29133 has been updated by inv.

SHA-1: a167d83c1c2aa7a528885929eeaf819f1f585ff9


Detailed log of new commits:

Author: bugmaster
Date: Fri Oct 20 14:26:46 2017 +0300

    Removing and adding requared TODO

(0071661)
git (administrator)
2017-10-20 14:43

Branch CR29133 has been updated by inv.

SHA-1: 41a45855f6b5312272f50283a9a732cb77825fab


Detailed log of new commits:

Author: bugmaster
Date: Fri Oct 20 14:43:23 2017 +0300

    Removinh useless TODO

(0071699)
git (administrator)
2017-10-23 14:26

Branch CR29133 has been updated by inv.

SHA-1: bc8add73c26902ada389482ee0b735df930abe0c


Detailed log of new commits:

Author: bugmaster
Date: Mon Oct 23 14:26:51 2017 +0300

    Small update

(0071717)
git (administrator)
2017-10-23 15:37

Branch CR29133 has been updated by inv.

SHA-1: 2ed7a987ad1e394d36ce196c7cfe1e8f25ab389e


Detailed log of new commits:

Author: bugmaster
Date: Mon Oct 23 15:37:30 2017 +0300

    Update

(0071721)
git (administrator)
2017-10-23 17:33

Branch CR29133 has been updated by inv.

SHA-1: c74996d32ff9bc612c1fd87bedcb4e11121e061e


Detailed log of new commits:

Author: bugmaster
Date: Mon Oct 23 17:33:40 2017 +0300

    Small correction

(0071733)
git (administrator)
2017-10-24 12:27

Branch CR29133 has been updated by inv.

SHA-1: ec01293b3c7bc5a7a5cb2afad93057424d100aa6


Detailed log of new commits:

Author: bugmaster
Date: Tue Oct 24 12:27:15 2017 +0300

    Update TODO

(0071734)
git (administrator)
2017-10-24 12:45

Branch CR29133 has been updated by inv.

SHA-1: a3111d3e2d5c7b1a73086ad2e1d839339e5b8119


Detailed log of new commits:

Author: bugmaster
Date: Tue Oct 24 12:45:09 2017 +0300

    Update TODO

(0071735)
git (administrator)
2017-10-24 12:50

Branch CR29133 has been updated by inv.

SHA-1: 25b018591d1366593a629b28fa3a645dcf3f84f2


Detailed log of new commits:

Author: bugmaster
Date: Tue Oct 24 12:50:24 2017 +0300

    Update test case

(0071738)
git (administrator)
2017-10-24 13:06

Branch CR29133 has been updated forcibly by inv.

SHA-1: e4d97043cfd92be8905deab08e28b863bc740f9b
(0071741)
git (administrator)
2017-10-24 13:47

Branch CR29133 has been updated by inv.

SHA-1: 0487c6a6c10f6ca929fa4a7050eeb28f1564db79


Detailed log of new commits:

Author: bugmaster
Date: Tue Oct 24 13:46:30 2017 +0300

    Removing TODO ? in test cases of foundation classes

(0071777)
git (administrator)
2017-10-25 14:35

Branch CR29133 has been updated by inv.

SHA-1: 6d1109e23f3ce554496eddd0eed9738c4032d43c


Detailed log of new commits:

Author: bugmaster
Date: Wed Oct 25 14:35:23 2017 +0300

    Adding TODO ? to unstable test cases

(0071784)
git (administrator)
2017-10-25 16:02

Branch CR29133 has been updated by mnt.

SHA-1: 0d79177fe8e4a72fa07f17aaebe9007888034758


Detailed log of new commits:

Author: mnt
Date: Wed Oct 25 16:02:17 2017 +0300

    Small update

(0071796)
git (administrator)
2017-10-25 19:06

Branch CR29133 has been updated by inv.

SHA-1: d541f37823980b595673ab547aa5354b33311f6c


Detailed log of new commits:

Author: bugmaster
Date: Wed Oct 25 19:04:10 2017 +0300

    Small correction

(0071806)
git (administrator)
2017-10-26 16:45

Branch CR29133 has been updated by inv.

SHA-1: 67bc6c6cceee63448460162493b59aad219a2e5c


Detailed log of new commits:

Author: bugmaster
Date: Thu Oct 26 16:45:27 2017 +0300

    Update TODO ?

(0071819)
git (administrator)
2017-10-27 13:23

Branch CR29133 has been updated by inv.

SHA-1: 16f3e91d973a9f0349f220f7a03559b2f69f4309


Detailed log of new commits:

Author: bugmaster
Date: Fri Oct 27 13:23:09 2017 +0300

    Update TODO ?

(0071821)
git (administrator)
2017-10-27 14:00

Branch CR29133 has been updated by inv.

SHA-1: 01a963814710d9526f2fbc343d38975ca2cac29b


Detailed log of new commits:

Author: bugmaster
Date: Fri Oct 27 13:58:10 2017 +0300

    Update TODO ?

(0072070)
git (administrator)
2017-11-08 18:24

Branch CR29133 has been deleted by kgv.

SHA-1: 01a963814710d9526f2fbc343d38975ca2cac29b
(0072451)
git (administrator)
2017-11-23 17:31

Branch CR29133 has been created by inv.

SHA-1: 977ad98334bf5e13c0b350a2a5ecf4d5ad349b70


No new revisions were added by this update.
(0072599)
git (administrator)
2017-11-29 20:32

Branch CR29133 has been updated by inv.

SHA-1: 25524777a4823c4783596a7d8b3be27880678797


Detailed log of new commits:

Author: bugmaster
Date: Wed Nov 29 20:31:44 2017 +0300

    Testing detecting unstable test cases

(0077146)
git (administrator)
2018-06-30 13:35

Branch CR29133 has been deleted by inv.

SHA-1: 25524777a4823c4783596a7d8b3be27880678797

- Related Changesets
occt: master 53a1447a
Timestamp: 2017-10-18 11:13:35
Author: mnt
Committer: bugmaster
Details ] Diff ]
0029133: Unstable test cases

Adding new and early removed for some reasons test cases

Removing TODO ?

Adding necessary TODO ? on corresponding platforms for OK and BAD cases
mod - tests/blend/complex/A2 Diff ] File ]
mod - tests/blend/complex/A3 Diff ] File ]
mod - tests/blend/complex/B3 Diff ] File ]
mod - tests/blend/complex/C2 Diff ] File ]
mod - tests/blend/complex/F6 Diff ] File ]
mod - tests/blend/encoderegularity/A6 Diff ] File ]
mod - tests/blend/simple/F5 Diff ] File ]
mod - tests/blend/simple/P7 Diff ] File ]
mod - tests/blend/simple/V7 Diff ] File ]
mod - tests/blend/simple/W4 Diff ] File ]
mod - tests/blend/simple/X5 Diff ] File ]
mod - tests/blend/simple/X8 Diff ] File ]
mod - tests/blend/tolblend_simple/A1 Diff ] File ]
mod - tests/blend/tolblend_simple/A2 Diff ] File ]
mod - tests/blend/tolblend_simple/A3 Diff ] File ]
mod - tests/blend/tolblend_simple/A4 Diff ] File ]
mod - tests/blend/tolblend_simple/A5 Diff ] File ]
mod - tests/blend/tolblend_simple/A6 Diff ] File ]
mod - tests/blend/tolblend_simple/A7 Diff ] File ]
mod - tests/blend/tolblend_simple/A8 Diff ] File ]
mod - tests/blend/tolblend_simple/A9 Diff ] File ]
mod - tests/blend/tolblend_simple/B1 Diff ] File ]
mod - tests/blend/tolblend_simple/B2 Diff ] File ]
mod - tests/blend/tolblend_simple/B3 Diff ] File ]
mod - tests/blend/tolblend_simple/C5 Diff ] File ]
mod - tests/blend/tolblend_simple/D2 Diff ] File ]
mod - tests/blend/tolblend_simple/D3 Diff ] File ]
mod - tests/blend/tolblend_simple/D5 Diff ] File ]
mod - tests/blend/tolblend_simple/D6 Diff ] File ]
mod - tests/blend/tolblend_simple/D7 Diff ] File ]
mod - tests/blend/tolblend_simple/D8 Diff ] File ]
mod - tests/blend/tolblend_simple/D9 Diff ] File ]
mod - tests/blend/tolblend_simple/E1 Diff ] File ]
mod - tests/blend/tolblend_simple/E2 Diff ] File ]
mod - tests/blend/tolblend_simple/E3 Diff ] File ]
mod - tests/blend/tolblend_simple/E4 Diff ] File ]
mod - tests/blend/tolblend_simple/E5 Diff ] File ]
mod - tests/blend/tolblend_simple/E6 Diff ] File ]
mod - tests/blend/tolblend_simple/E7 Diff ] File ]
mod - tests/blend/tolblend_simple/E8 Diff ] File ]
mod - tests/blend/tolblend_simple/E9 Diff ] File ]
mod - tests/blend/tolblend_simple/F1 Diff ] File ]
mod - tests/blend/tolblend_simple/F2 Diff ] File ]
mod - tests/blend/tolblend_simple/F3 Diff ] File ]
mod - tests/blend/tolblend_simple/F4 Diff ] File ]
mod - tests/blend/tolblend_simple/F7 Diff ] File ]
mod - tests/blend/tolblend_simple/F8 Diff ] File ]
mod - tests/boolean/bopfuse_simple/ZP6 Diff ] File ]
mod - tests/boolean/gdml_private/B5 Diff ] File ]
mod - tests/boolean/gdml_private/bug27052_ZI5 Diff ] File ]
mod - tests/boolean/gdml_private/K8 Diff ] File ]
mod - tests/boolean/gdml_private/L3 Diff ] File ]
mod - tests/boolean/gdml_private/L5 Diff ] File ]
mod - tests/boolean/gdml_private/L6 Diff ] File ]
mod - tests/boolean/gdml_private/L7 Diff ] File ]
mod - tests/boolean/gdml_private/L9 Diff ] File ]
mod - tests/boolean/gdml_private/P7 Diff ] File ]
mod - tests/boolean/gdml_private/P9 Diff ] File ]
mod - tests/boolean/gdml_private/ZI5 Diff ] File ]
mod - tests/boolean/volumemaker/A8 Diff ] File ]
mod - tests/boolean/volumemaker/B8 Diff ] File ]
mod - tests/boolean/volumemaker/C1 Diff ] File ]
mod - tests/boolean/volumemaker/D6 Diff ] File ]
mod - tests/boolean/volumemaker/D8 Diff ] File ]
mod - tests/boolean/volumemaker/D9 Diff ] File ]
mod - tests/boolean/volumemaker/E4 Diff ] File ]
mod - tests/boolean/volumemaker/E5 Diff ] File ]
mod - tests/bugs/caf/bug1138 Diff ] File ]
mod - tests/bugs/fclasses/bug309 Diff ] File ]
mod - tests/bugs/fclasses/bug7287_1 Diff ] File ]
mod - tests/bugs/fclasses/bug7287_2 Diff ] File ]
mod - tests/bugs/fclasses/bug7287_3 Diff ] File ]
mod - tests/bugs/fclasses/bug7287_4 Diff ] File ]
mod - tests/bugs/fclasses/bug7287_5 Diff ] File ]
mod - tests/bugs/fclasses/bug7287_6 Diff ] File ]
mod - tests/bugs/modalg_1/bug140 Diff ] File ]
mod - tests/bugs/modalg_1/bug15836 Diff ] File ]
mod - tests/bugs/modalg_2/bug472_3 Diff ] File ]
mod - tests/bugs/modalg_5/bug23952_1 Diff ] File ]
mod - tests/bugs/modalg_7/bug26933 Diff ] File ]
mod - tests/bugs/moddata_1/bug22759 Diff ] File ]
mod - tests/bugs/moddata_2/bug567 Diff ] File ]
add - tests/bugs/moddata_3/bug24621 Diff ] File ]
mod - tests/bugs/vis/bug27318 Diff ] File ]
mod - tests/draft/angle/L4 Diff ] File ]
add - tests/offset/bugs/bug26030 Diff ] File ]
mod - tests/offset/compshape/A1 Diff ] File ]
mod - tests/offset/compshape/A3 Diff ] File ]
mod - tests/offset/compshape/A4 Diff ] File ]
mod - tests/offset/faces_type_i/B2 Diff ] File ]
mod - tests/offset/faces_type_i/B8 Diff ] File ]
mod - tests/offset/faces_type_i/B9 Diff ] File ]
mod - tests/offset/faces_type_i/C4 Diff ] File ]
mod - tests/offset/grids.list Diff ] File ]
mod - tests/offset/shape_type_i/B3 Diff ] File ]
mod - tests/offset/shape_type_i/C7 Diff ] File ]
mod - tests/offset/wire_closed_inside_0_025/A2 Diff ] File ]
mod - tests/perf/modalg/bug26980 Diff ] File ]
mod - tests/perf/modalg/bug453_2 Diff ] File ]
mod - tests/perf/ncollection/A3 Diff ] File ]
add - tests/pipe/bugs/bug24909_1 Diff ] File ]
add - tests/pipe/bugs/bug24909_2 Diff ] File ]
add - tests/pipe/bugs/bug24909_3 Diff ] File ]
add - tests/pipe/bugs/bug25110 Diff ] File ]
add - tests/pipe/bugs/bug26088 Diff ] File ]
mod - tests/pipe/grids.list Diff ] File ]
mod - tests/sewing/tol_0_01/F8 Diff ] File ]
mod - tests/sewing/tol_100/C5 Diff ] File ]
mod - tests/sewing/tol_100/D3 Diff ] File ]
mod - tests/sewing/tol_100/J4 Diff ] File ]
mod - tests/sewing/tol_100/J5 Diff ] File ]
mod - tests/sewing/tol_100/J6 Diff ] File ]
mod - tests/sewing/tol_100/K1 Diff ] File ]
add - tests/thrusection/bugs/bug24997 Diff ] File ]
mod - tests/thrusection/grids.list Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-09-21 18:50 bugmaster New Issue
2017-09-21 18:50 bugmaster Assigned To => apn
2017-10-18 14:13 git Note Added: 0071593
2017-10-18 15:05 bugmaster Assigned To apn => bugmaster
2017-10-18 15:05 bugmaster Status new => feedback
2017-10-18 16:07 git Note Added: 0071598
2017-10-18 18:03 git Note Added: 0071608
2017-10-18 18:31 git Note Added: 0071609
2017-10-19 11:37 git Note Added: 0071626
2017-10-19 11:54 kgv Relationship added parent of 0029132
2017-10-19 11:54 kgv Relationship added related to 0029111
2017-10-19 11:54 kgv Relationship added parent of 0028557
2017-10-19 11:54 kgv Relationship added parent of 0027897
2017-10-19 11:55 kgv Relationship added parent of 0028921
2017-10-19 11:55 kgv Relationship added parent of 0025797
2017-10-19 11:55 kgv Relationship added parent of 0024592
2017-10-19 11:55 kgv Relationship added parent of 0026164
2017-10-19 11:55 kgv Relationship added parent of 0023331
2017-10-19 11:56 kgv Relationship added parent of 0027597
2017-10-19 11:56 kgv Relationship added parent of 0027203
2017-10-19 11:56 kgv Relationship added parent of 0028833
2017-10-19 11:56 kgv Relationship added parent of 0025904
2017-10-19 11:56 kgv Relationship added parent of 0027168
2017-10-19 11:57 kgv Relationship added parent of 0027153
2017-10-19 11:57 kgv Relationship added parent of 0027154
2017-10-19 11:57 kgv Relationship added parent of 0027976
2017-10-19 11:58 kgv Relationship added parent of 0026020
2017-10-19 12:02 kgv Relationship added parent of 0029248
2017-10-19 15:07 git Note Added: 0071641
2017-10-19 15:21 nbv Relationship added parent of 0028674
2017-10-19 15:23 nbv Relationship added parent of 0029121
2017-10-19 15:23 nbv Relationship added parent of 0021968
2017-10-20 13:20 git Note Added: 0071659
2017-10-20 14:26 git Note Added: 0071660
2017-10-20 14:43 git Note Added: 0071661
2017-10-23 14:26 git Note Added: 0071699
2017-10-23 15:37 git Note Added: 0071717
2017-10-23 17:33 git Note Added: 0071721
2017-10-24 12:27 git Note Added: 0071733
2017-10-24 12:45 git Note Added: 0071734
2017-10-24 12:50 git Note Added: 0071735
2017-10-24 13:06 git Note Added: 0071738
2017-10-24 13:47 git Note Added: 0071741
2017-10-25 14:35 git Note Added: 0071777
2017-10-25 16:02 git Note Added: 0071784
2017-10-25 19:06 git Note Added: 0071796
2017-10-26 16:45 git Note Added: 0071806
2017-10-27 13:23 git Note Added: 0071819
2017-10-27 14:00 git Note Added: 0071821
2017-10-27 15:18 bugmaster Relationship added parent of 0029268
2017-11-02 18:34 bugmaster Changeset attached => occt master 53a1447a
2017-11-02 18:34 bugmaster Status feedback => verified
2017-11-02 18:34 bugmaster Resolution open => fixed
2017-11-08 18:24 git Note Added: 0072070
2017-11-16 14:15 bugmaster Relationship added related to 0023068
2017-11-16 16:17 bugmaster Relationship added related to 0029330
2017-11-23 17:31 git Note Added: 0072451
2017-11-29 20:32 git Note Added: 0072599
2017-12-07 15:53 nbv Relationship added related to 0029179
2017-12-12 10:39 bugmaster Test case number => Not required
2018-02-20 12:58 user533 Target Version 7.4.0* => 7.3.0
2018-06-06 10:32 bugmaster Relationship added related to 0029841
2018-06-29 21:13 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed
2018-06-30 13:35 git Note Added: 0077146


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker